# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary:         Python for Population Genomics
Name:            pypop
Version:         0.7.0
Release:         alt1_10
Source0:         http://www.pypop.org/%{name}-%{version}.tar.gz
License:         GPLv2+
Group:           Development/C
Url:             http://www.pypop.org/
BuildRequires:   python-devel
BuildRequires:   swig
BuildRequires:   libgsl-devel
Source44: import.info


%description
PyPop is a bioinformatics framework for performing population genomics
analysis, particularly on large-scale multilocus genotype data.

%prep
%setup -q -n pypop-%{version}
# move auxilary documentation files into a sensible place
cp slatkin-exact/README README.slatkin-exact

# remove she-bang lines in certain .py files to keep rpmlint happy
find . -type f -name "*.py" ! -name "pypop.py" ! -name "popmeta.py" -exec sed -i '/^#![ ]*\/usr\/bin\/.*$/ d' {} 2>/dev/null ';'

%build
env DISTRIB=true %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root=$RPM_BUILD_ROOT

%files
%doc NEWS README ChangeLog AUTHORS COPYING README.slatkin-exact
%{_bindir}/*
%dir %{python_sitelibdir}/pypop
%{python_sitelibdir}/pypop.pth
%{python_sitelibdir}/pypop/*
%{_datadir}/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.0-alt1_10
- update to new release by fcimport

* Wed Jan 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.0-alt1_9
- initial fc import

